# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(FindBin.pm) perl(Moose/Util/TypeConstraints.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-WWW-Mechanize-TreeBuilder
Version:        1.10003
Release:        alt1_8
Summary:        WWW::Mechanize::TreeBuilder Perl module
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/WWW-Mechanize-TreeBuilder/
Source0:        http://www.cpan.org/authors/id/A/AS/ASH/WWW-Mechanize-TreeBuilder-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/TreeBuilder.pm)
BuildRequires:  perl(HTML/TreeBuilder/XPath.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Role/Parameterized.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/WWW/Mechanize.pm)
# not automatically detected
Requires:       perl(HTML/TreeBuilder.pm)
# not strictly required, but recommended
Requires:       perl(HTML/TreeBuilder/XPath.pm)


Source44: import.info

%description
This module combines WWW::Mechanize and HTML::TreeBuilder.

%prep
%setup -q -n WWW-Mechanize-TreeBuilder-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.10003-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.10003-alt1_7
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 1.10003-alt1_5
- fc import

